<?php
class ControllerExtensionModuleRewardSetting extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/reward_setting');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('reward_setting', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
		}

		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_edit']     = $this->language->get('text_edit');
		$data['text_enabled']  = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['entry_status']        = $this->language->get('entry_status');
		$data['entry_total_status']  = $this->language->get('entry_total_status');
		$data['entry_total_sub_total']  = $this->language->get('entry_total_sub_total');
		$data['entry_total_total']  = $this->language->get('entry_total_total');
		$data['entry_reward_setting_percent']  = $this->language->get('entry_reward_setting_percent');

		$data['button_save']   = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['reward_setting_percent'])) {
			$data['error_reward_setting_percent'] = $this->error['reward_setting_percent'];
		} else {
			$data['error_reward_setting_percent'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/module/reward_setting', 'token=' . $this->session->data['token'], true)
		);

		$data['action'] = $this->url->link('extension/module/reward_setting', 'token=' . $this->session->data['token'], true);

		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);




		if (isset($this->request->post['reward_setting_percent'])) {
			$data['reward_setting_percent'] = $this->request->post['reward_setting_percent'];
		} else {
			$data['reward_setting_percent'] = $this->config->get('reward_setting_percent');
		}

	 
		if (isset($this->request->post['reward_setting_total_status'])) {
			$data['reward_setting_total_status'] = $this->request->post['reward_setting_total_status'];
		} else {
			$data['reward_setting_total_status'] = $this->config->get('reward_setting_total_status');
		}
 
		if (isset($this->request->post['reward_setting_status'])) {
			$data['reward_setting_status'] = $this->request->post['reward_setting_status'];
		} else {
			$data['reward_setting_status'] = $this->config->get('reward_setting_status');
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		if (file_exists(DIR_LOCAL_TEMPLATE . 'extension/module/reward_setting.tpl')) {
            $this->response->setOutput($this->load->view(DIR_LOCAL_TEMPLATE . 'extension/module/reward_setting', $data));
        } else {
            $this->response->setOutput($this->load->view(DIR_TEMPLATE . 'extension/module/reward_setting', $data));
        }

	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/reward_setting')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->request->post['reward_setting_percent']) {
			$this->error['reward_setting_percent'] = $this->language->get('error_reward_setting_percent');
		}

		return !$this->error;
	}
}